模板:Multiple image/styles.css

来自恶俗狗维基-揭露恶俗劣迹的百科全书
怀瑾握瑜留言 | 贡献2026年6月16日 (二) 00:37的版本 (创建页面,内容为“复制自维基百科multiple image模板 24-04:​ this is a block:​ .multiimageinner { display: flex; flex-direction: column; } .trow { display: flex; flex-direction: row; clear: left; flex-wrap: wrap; width: 100%; box-sizing: border-box; } this is a cell:​ .tsingle { margin: 1px; float: left; } .theader { clear: both; font-weight: bold; text-align: center; align-self: center; background-color: transparent; width: 100%; } .thumbc…”)
(差异) ←上一版本 | 最后版本 (差异) | 下一版本→ (差异)
跳转到导航 跳转到搜索

/* 复制自维基百科multiple image模板 24-04 */ /* this is a block */ .multiimageinner { display: flex; flex-direction: column; }

.trow { display: flex; flex-direction: row; clear: left; flex-wrap: wrap; width: 100%; box-sizing: border-box; }

/* this is a cell */ .tsingle { margin: 1px; float: left; }

.theader { clear: both; font-weight: bold; text-align: center; align-self: center; background-color: transparent; width: 100%; }

.thumbcaption { background-color: transparent; }

.text-align-left { text-align: left; }

.text-align-right { text-align: right; }

.text-align-center { text-align: center; }

@media all and ( max-width: 720px ) { .thumbinner { /* not !important usage can be removed when these are no longer inline styles inside Template:Multiple image and media query using min-width is introduced */ width: 100% !important; box-sizing: border-box; max-width: none !important; align-items: center; } .trow { justify-content: center; } .tsingle { /* not !important usage can be removed when these are no longer inline styles inside Template:Multiple image and media query using min-width is introduced */ float: none !important; max-width: 100% !important; box-sizing: border-box; text-align: center; } .tsingle .thumbcaption { text-align: left; } .trow > .thumbcaption { text-align: center; } }